PresentationDirection (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.PresentationDirection class
Date: 2026-06-25

javax.print.attribute.standard

## Class PresentationDirection

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - javax.print.attribute.standard.PresentationDirection

- All Implemented Interfaces:
    Serializable, Cloneable, Attribute, PrintJobAttribute, PrintRequestAttribute

      public final class PresentationDirection
      extends EnumSyntax
      implements PrintJobAttribute, PrintRequestAttribute

  Class PresentationDirection is a printing attribute class, an enumeration, that is used in conjunction with the `NumberUp` attribute to indicate the layout of multiple print-stream pages to impose upon a single side of an instance of a selected medium. This is useful to mirror the text layout conventions of different scripts. For example, English is "toright-tobottom", Hebrew is "toleft-tobottom" and Japanese is usually "tobottom-toleft".

  IPP Compatibility: This attribute is not an IPP 1.1 attribute; it is an attribute in the Production Printing Extension (PDF) of IPP 1.1. The category name returned by `getName()` is the IPP attribute name. The enumeration's integer value is the IPP enum value. The `toString()` method returns the IPP string representation of the attribute value.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PresentationDirection` | `TOBOTTOM_TOLEFT` Pages are laid out in columns starting at the top right, proceeding towards the bottom & left.
    `static PresentationDirection` | `TOBOTTOM_TORIGHT` Pages are laid out in columns starting at the top left, proceeding towards the bottom & right.
    `static PresentationDirection` | `TOLEFT_TOBOTTOM` Pages are laid out in rows starting at the top right, proceeding towards the left & bottom.
    `static PresentationDirection` | `TOLEFT_TOTOP` Pages are laid out in rows starting at the bottom right, proceeding towards the left & top.
    `static PresentationDirection` | `TORIGHT_TOBOTTOM` Pages are laid out in rows starting at the top left, proceeding towards the right & bottom.
    `static PresentationDirection` | `TORIGHT_TOTOP` Pages are laid out in rows starting at the bottom left, proceeding towards the right & top.
    `static PresentationDirection` | `TOTOP_TOLEFT` Pages are laid out in columns starting at the bottom right, proceeding towards the top & left.
    `static PresentationDirection` | `TOTOP_TORIGHT` Pages are laid out in columns starting at the bottom left, proceeding towards the top & right.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends Attribute>` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `protected EnumSyntax[]` | `getEnumValueTable()` Returns the enumeration value table for class PresentationDirection.
    `String` | `getName()` Get the name of the category of which this attribute value is an instance.
    `protected String[]` | `getStringTable()` Returns the string table for class PresentationDirection.

    - ### Methods inherited from class javax.print.attribute.EnumSyntax

      `clone, getOffset, getValue, hashCode, readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOBOTTOM_TORIGHT

          public static final PresentationDirection TOBOTTOM_TORIGHT

      Pages are laid out in columns starting at the top left, proceeding towards the bottom & right.

    - #### TOBOTTOM_TOLEFT

          public static final PresentationDirection TOBOTTOM_TOLEFT

      Pages are laid out in columns starting at the top right, proceeding towards the bottom & left.

    - #### TOTOP_TORIGHT

          public static final PresentationDirection TOTOP_TORIGHT

      Pages are laid out in columns starting at the bottom left, proceeding towards the top & right.

    - #### TOTOP_TOLEFT

          public static final PresentationDirection TOTOP_TOLEFT

      Pages are laid out in columns starting at the bottom right, proceeding towards the top & left.

    - #### TORIGHT_TOBOTTOM

          public static final PresentationDirection TORIGHT_TOBOTTOM

      Pages are laid out in rows starting at the top left, proceeding towards the right & bottom.

    - #### TORIGHT_TOTOP

          public static final PresentationDirection TORIGHT_TOTOP

      Pages are laid out in rows starting at the bottom left, proceeding towards the right & top.

    - #### TOLEFT_TOBOTTOM

          public static final PresentationDirection TOLEFT_TOBOTTOM

      Pages are laid out in rows starting at the top right, proceeding towards the left & bottom.

    - #### TOLEFT_TOTOP

          public static final PresentationDirection TOLEFT_TOTOP

      Pages are laid out in rows starting at the bottom right, proceeding towards the left & top.

  - ### Method Detail

    - #### getStringTable

          protected String[] getStringTable()

      Returns the string table for class PresentationDirection.
      Overrides:
        `getStringTable` in class `EnumSyntax`
      Returns:
        the string table

    - #### getEnumValueTable

          protected EnumSyntax[] getEnumValueTable()

      Returns the enumeration value table for class PresentationDirection.
      Overrides:
        `getEnumValueTable` in class `EnumSyntax`
      Returns:
        the value table

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class PresentationDirection the category is class PresentationDirection itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        Printing attribute class (category), an instance of class `java.lang.Class`.

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class PresentationDirection the category name is `"presentation-direction"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        Attribute category name.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.